(deftemplate person
   (slot age (type INTEGER) (default 50))
   (slot sex (type INTEGER) (default 1))
   (slot height (type INTEGER) (default 180))
   (slot weight (type INTEGER) (default 100))
   (slot w1coef (type FLOAT) (default 0.0))
   (slot w2coef (type FLOAT) (default 0.0))
   (slot calories (type INTEGER) (default 0))
   (slot calflag (type INTEGER) (default 0))
   (slot workload (type INTEGER) (default 0))
   (slot alcohol (type INTEGER) (default 0))
   (slot pregnancy (type INTEGER) (default 0))
   (slot geoplace (type INTEGER) (default 1))
   (slot social (type INTEGER) (default 0))
   (slot smoking (type INTEGER) (default 0))
   (slot seqflag (type INTEGER) (default 0))
)



(defrule matrix5wm1
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 1))
(test (>= ?a 11))
(test (<= ?a 14))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (weight ?w) (calories ?c) (w1coef (/ ?w 44.847)) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5wm2
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 1))
(test (>= ?a 15))
(test (<= ?a 18))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (weight ?w) (calories ?c) (calflag ?cf) (w1coef (/ ?w 65.685)) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5wm3
?p <- (person (age ?a) (sex ?s) (height ?h) (calories ?c) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 1))
(test (>= ?a 19))
(test (<= ?a 24))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (weight ?w) (calories ?c) (calflag ?cf) (w1coef (/ ?w 72.48)) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5wm4
?p <- (person (age ?a) (sex ?s) (height ?h) (calories ?c) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 1))
(test (>= ?a 25))
(test (<= ?a 50))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (weight ?w) (calories ?c) (calflag ?cf) (w1coef (/ ?w 78.822)) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5wm5
?p <- (person (age ?a) (sex ?s) (height ?h) (calories ?c) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 1))
(test (>= ?a 51))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (weight ?w) (calories ?c) (calflag ?cf) (w1coef (/ ?w 77.01)) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5wf1
?p <- (person (age ?a) (sex ?s) (height ?h) (calories ?c) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 0))
(test (>= ?a 11))
(test (<= ?a 14))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (weight ?w) (calories ?c) (w1coef (/ ?w 45.753)) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5wf2
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 0))
(test (>= ?a 15))
(test (<= ?a 18))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (weight ?w) (calories ?c) (calflag ?cf) (w1coef (/ ?w 54.36)) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5wf3
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (calories ?c) (w1coef ?w1c) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 0))
(test (>= ?a 19))
(test (<= ?a 24))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (weight ?w) (calories ?c) (w1coef (/ ?w 57.984)) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5wf4
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (calories ?c) (w1coef ?w1c) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 0))
(test (>= ?a 25))
(test (<= ?a 50))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (weight ?w) (calories ?c) (calflag ?cf) (w1coef (/ ?w 62.514)) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5wf5
?p <- (person (age ?a) (sex ?s) (height ?h) (calories ?c) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 0))
(test (>= ?a 51))
(test (= ?w1c 0.0))
=>
(printout t "Calculating weight factor #1" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (weight ?w) (calories ?c) (w1coef (/ ?w 64.779)) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   


(deffunction matrix02 (?h)   (- (* 0.755 ?h) 63.42))

(defrule matrix2
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?w2c 0.0))
=>
(printout t "Calculating weight factor #2" crlf)
(retract ?p)
(assert(person (age ?a) (sex ?s) (height ?h) (weight ?w) (calories ?c) (calflag ?cf) (w1coef ?w1c) (w2coef (/ ?w (matrix02 ?h))) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))



(defrule matrix5cc1
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (>= ?a 1))
(test (<= ?a 3))
(test (= ?c 0))
=>
(printout t "Calculating standard calories" crlf)
(retract ?p)
(assert(person (calories 1300) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5cc2
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (>= ?a 4))
(test (<= ?a 6))
(test (= ?c 0))
=>
(printout t "Calculating standard calories" crlf)
(retract ?p)
(assert(person (calories 1800) (age ?a) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5cc3
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (>= ?a 7))
(test (<= ?a 10))
(test (= ?c 0))
=>
(printout t "Calculating standard calories" crlf)
(retract ?p)
(assert(person (calories 2000) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5cm1
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 1))
(test (>= ?a 11))
(test (<= ?a 14))
(test (= ?c 0))
=>
(printout t "Calculating standard calories" crlf)
(retract ?p)
(assert(person (calories 2500) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5cm2
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 1))
(test (>= ?a 15))
(test (<= ?a 18))
(test (= ?c 0))
=>
(printout t "Calculating standard calories" crlf)
(retract ?p)
(assert(person (calories 3000) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5cm3
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 1))
(test (>= ?a 19))
(test (<= ?a 50))
(test (= ?c 0))
=>
(printout t "Calculating standard calories" crlf)
(retract ?p)
(assert(person (calories 2900) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5cm4
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 1))
(test (>= ?a 51))
(test (= ?c 0))
=>
(printout t "Calculating standard calories" crlf)
(retract ?p)
(assert(person (calories 2300) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5cf1
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 0))
(test (>= ?a 11))
(test (<= ?a 50))
(test (= ?c 0))
=>
(printout t "Calculating standard calories" crlf)
(retract ?p)
(assert(person (calories 2200) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   
(defrule matrix5cf2
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?s 0))
(test (>= ?a 51))
(test (= ?c 0))
=>
(printout t "Calculating standard calories" crlf)
(retract ?p)
(assert(person (calories 1900) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))))
   


(defrule norm_cal
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?cf 0))
=>
(printout t "Normalizing calories per weight" crlf)
(retract ?p)
(assert(person (calories (* ?c (+ (* ?w1c 0.65) (* ?w2c 0.35)))) (calflag 1) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 1))))



(defrule norm_work
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 1))
=>
(printout t "Adjusting calories due to workload" crlf)
(retract ?p)
(assert(person (calories (+ ?c (* ?wl 100))) (calflag 1) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 2))))



(defrule norm_alc
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 2))
=>
(printout t "Adjusting calories due to alcohol drinks" crlf)
(retract ?p)
(assert(person (calories (+ ?c (* ?alc 100))) (calflag 1) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 3))))



(defrule norm_pregn0
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 3))
(test (or (<= ?pg 0) (> ?pg 24)))
=>
(retract ?p)
(assert(person (calories ?c) (calflag 1) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 4))))


(deffunction pregn1 (?mnth)  (* (/ 10 9) ?mnth))

(defrule norm_pregn1
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 3))
(test (> ?pg 0))
(test (<= ?pg 9))
=>
(printout t "Adjusting calories due to pregnancy" crlf)
(retract ?p)
(assert(person (calories (+ ?c (* (/ ?c ?w) (pregn1 ?pg)))) (calflag 1) (age ?a) (sex ?s) (weight (+ ?w (pregn1 ?pg))) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 4))))


(deffunction pregn2 (?mnth)  (+ (* -2 ?mnth) 28))

(defrule norm_pregn2
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 3))
(test (>= ?pg 10))
(test (<= ?pg 12))
=>
(printout t "Adjusting calories due to pregnancy" crlf)
(retract ?p)
(assert(person (calories (+ ?c (* (/ ?c ?w) (pregn2 ?pg)))) (calflag 1) (age ?a) (sex ?s) (weight (+ ?w (pregn2 ?pg))) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 4))))


(deffunction pregn3 (?mnth)  (+ (* (/ -1 3) ?mnth) 8))

(defrule norm_pregn3
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 3))
(test (>= ?pg 13))
(test (<= ?pg 24))
=>
(printout t "Adjusting calories due to pregnancy" crlf)
(retract ?p)
(assert(person (calories (+ ?c (* (/ ?c ?w) (pregn3 ?pg)))) (calflag 1) (age ?a) (sex ?s) (weight (+ ?w (pregn3 ?pg))) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 4))))




(defrule norm_geo
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 4))
=>
(printout t "Adjusting calories due to geographical place" crlf)
(retract ?p)
(assert(person (calories (+ ?c (* ?geo 100))) (calflag 1) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 5))))



(deffunction social_stat (?soc)  (+ 1 (/ (* ?soc 5) 100)))

(defrule norm_soc
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 5))
=>
(printout t "Adjusting calories due to social status" crlf)
(retract ?p)
(assert(person (calories (+ ?c (* (/ ?c ?w) (social_stat ?so)))) (calflag 1) (age ?a) (sex ?s) (weight (* ?w (social_stat ?so))) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 6))))



(defrule norm_smoke0
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 6))
(test (or (<= ?sm 0) (> ?sm 6)))
=>
(retract ?p)
(assert(person (calories ?c) (calflag 1) (age ?a) (sex ?s) (weight ?w) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 7))))


(deffunction smoke1 (?smk)  (* 2.5 ?smk))

(defrule norm_smoke1
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 6))
(test (> ?sm 0))
(test (<= ?sm 2))
=>
(printout t "Adjusting calories due to smoke quitting" crlf)
(retract ?p)
(assert(person (calories (+ ?c (* (/ ?c ?w) (smoke1 ?sm)))) (calflag 1) (age ?a) (sex ?s) (weight (+ ?w (smoke1 ?sm))) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 7))))



(deffunction smoke2 (?smk)  (+ (* (/ -5 4) ?smk) 7.5))

(defrule norm_smoke2
?p <- (person (age ?a) (sex ?s) (height ?h) (weight ?w) (w1coef ?w1c) (w2coef ?w2c) (calories ?c) (calflag ?cf) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag ?sf))
(test (= ?sf 6))
(test (> ?sm 2))
(test (<= ?sm 6))
=>
(printout t "Adjusting calories due to smoke quitting" crlf)
(retract ?p)
(assert(person (calories (+ ?c (* (/ ?c ?w) (smoke2 ?sm)))) (calflag 1) (age ?a) (sex ?s) (weight (+ ?w (smoke2 ?sm))) (w1coef ?w1c) (height ?h) (w2coef ?w2c) (workload ?wl) (alcohol ?alc) (pregnancy ?pg) (geoplace ?geo) (social ?so) (smoking ?sm) (seqflag 7))))



